Skip to Content
avatar image
Former Member

SAP EHP Version Inconsistency

Background:

We are in the process of implementing Legal Change Packages for SAP_HR which needs to be done in 6 systems to provide legal and compliancy IRP5 tax requirements for South Africa, this needs to be done by the end of October 2012.

This is the patch levels on our systems which we has been previously managed and implemented by a service provider which has administered our Basis Systems.

1.) Main Production System PSA - ECC 6

SAP_APPL - 600 Level 16 (Which indicates EHP 0)

EA_APPL - 600 Level 16 (Which indicates EHP 0)

SAP_HR - 604 Level 34 (Which indicates EHP 4)

2.) We have another Production System PA1 where these are correct i.e.

SAP_APPL - 604 Level 08 (Which indicates EHP 4)

EA_APPL - 604 Level 08 (Which indicates EHP 4)

SAP_HR - 604 Level 34 (Which indicates EHP 4)

Can you please explain and advise the following concerning 1.) Main Production System PSA

a.) Is the system EHP0 or EHP4?

b.) Would we have to do the EHP Upgrade to 4 again to update the main components SAP_APPL and EA_APPL to 604.

c.) How was it possible to upgrade SAP_HR to 604 without upgrading the base (SAP_APPL_ and EA_APPL) to 604.

d.) Can we just upgrade the SAP_APPL to 604. The EHP4 Upgrade was done by the vendor about 12 months ago and has been running productively since with the SAP_APPL on 600 and SAP_HR 604.

e.) What would be the advisable plan or strategy to upgrade the components SAP_APPL and EA_APPL to 604 without major business interruption?

Any suggestions would be greatly appreciated.

Thank you very much.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Best Answer
    Oct 02, 2012 at 11:31 AM

    Hi Solly

    Can you please explain and advise the following concerning 1.) Main Production System PSA

    a.) Is the system EHP0 or EHP4?

    EHP4

    Side info: There is no such things as EHP0 - it's ERP 6.0 then without EHP mention:

    600 = ERP 6.0

    ....

    605 = ERP 6.0 EHP5

    606 = ERP 6.0 EHP6

    There is more, the Technology Platform is indicated by other components SAP_ABA and SAP_BASIS which can be on 701 for example - SAP Netweaver 7.0 EHP1

    Depending on the EHP package level, the Technology Platform has to have a certain level ~ 70x

    b.) Would we have to do the EHP Upgrade to 4 again to update the main components SAP_APPL and EA_APPL to 604.

    Yes

    c.) How was it possible to upgrade SAP_HR to 604 without upgrading the base (SAP_APPL_ and EA_APPL) to 604.

    It depends on the choosen business function, for example, for Human Capital Management, components EA_HR and SAP_HR are updated to 604, EA_APPL and SAP_APPL can stay on 600 --> The answer is yes, it's possible

    d.) Can we just upgrade the SAP_APPL to 604. The EHP4 Upgrade was done by the vendor about 12 months ago and has been running productively since with the SAP_APPL on 600 and SAP_HR 604.

    No, you would have to run EHPI (Enhancement Package Installer) again and SAP_APPL will only go to 604 if a business function is activated that requires it to be on that level.

    !attention!

    SAP APPL 600 SPx = SAP APPL 604 SPy

    So updating the component to update it doesn't make sense. Only in case a specific business function needs to be activated, the component has to be updated through EHPI process

    e.) What would be the advisable plan or strategy to upgrade the components SAP_APPL and EA_APPL to 604 without major business interruption?

    The question is, is it necessary? Should PSA be a copy of PA1?

    If you want to align them, you will have to go through the regular SPS / EHP update process which also means you should test your business processes etc.

    You should then identify which business function is active on PA1 which is not active on PSA for which the update is needed and align them.

    Best regards

    Tom

    Add comment
    10|10000 characters needed characters exceeded

    • Hi Solly,

      just two small additional comments to Toms excellent answer:

      • SUM instead of EHPI
        you should use the Software Update Manager (SUM) for installation of EHPs,
        see Software Update Manager (SUM): introducing the tool for software maintenance
      • product versioning different to software component versioning
        the number of a software component does not always give you a clue on the product version:
        - SAP ERP 6.0 EHP 6 uses EHP 3 of SAP NetWeaver 7.0, whose ABAP stack uses
           SAP_BASIS 7.31 (instead of SAP_BASIS 7.03 which does not exist)
        - SAP ERP 6.0 EHP 6 uses SAP_HR 6.04

      Best regards, Boris